#!/bin/sh

JAVA_CMD=/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Commands/java

TOP=`pwd`
PATH=$TOP/bin:$PATH; export PATH
export TOP

CLASSPATH=".:./lib/objects.jar:./lib/mms.jar"
for jar in `ls ext | grep '.jar'`
do
CLASSPATH=ext/${jar}:${CLASSPATH}
export CLASSPATH
done

for zip in `ls ext | grep '.zip'`
do
CLASSPATH=ext/${zip}:${CLASSPATH}
export CLASSPATH
done

echo "--------------------------------------------"
echo "Loading Metamorphosys ..."
echo "    [Please be patient and wait for MetamorphoSys to begin]"
echo "--------------------------------------------"
if ! test -e $JAVA_CMD; then
    echo "Expected Java version (1.4.2) does not exist"
    echo "   attempting to use:  $JAVA_CMD"
    exit 1
fi

$JAVA_CMD -Dfile.encoding=UTF-8 -Dscript_type=.csh -Dunzip.native=true -client -Xdock:name=MetamorphoSys -Xms300M -Xmx800M  -Dunzip.path=/usr/bin/unzip gov.nih.nlm.mms.WelcomeGUI
