/**************************************************************************
 *
 * Package:    gov.nih.nlm.mms;
 * Interface:  RedoHandler.java
 *
 *************************************************************************/
package gov.nih.nlm.mms;

/**
 * Generically represents a handler for re-performing an undone action.
 * @author Deborah Shapiro
 **/
public interface RedoHandler {

  //
  // Methods
  //

  /**
   * Returns the title to appear on a menu item.
   * @return the title to appear on a menu item
   */
  public String getTitle();

  /**
   * Performs the redo operation.
   * @param o1 object 1, context specific piece of information for redoing action
   * @param o2 object 2, context specific piece of information for redoing action
   */
  public void redo(Object o1, Object o2);

}

