/**************************************************************************
 *
 * Package:    gov.nih.nlm.mms;
 * Interface:  SourcesToRemoveEvent.java
 *
 *************************************************************************/
package gov.nih.nlm.mms;

import java.util.ArrayList;
import java.util.EventObject;
import java.util.List;


/**
 * Represents a change in the list of sources to remove.
 * 
 * @author Deborah Shapiro, Brian Carsen
 */
public class SourcesToRemoveEvent extends EventObject {

  //
  // Private Fields
  //
  private List sources_to_remove;

  /**
   * Instantiates a {@link SourcesToRemoveEvent}.
   * 
   * @param source
   *          the source of the event
   * @param str
   *          the {@link List} of sources to remove
   */
  public SourcesToRemoveEvent(Object source, List str) {
    super(source);
    this.sources_to_remove = new ArrayList(str);
  };

  //
  // Methods
  //

  /**
   * Returns the {@link List} of sources to remove.
   * 
   * @return the {@link List} of sources to remove
   */
  public List getSourcesToRemove() {
    return sources_to_remove;
  }

}
