/**************************************************************************
 *
 * Package:    gov.nih.nlm.mms.filters;
 * Interface:  ConceptManipulator.java
 *
 *************************************************************************/
package gov.nih.nlm.mms.filters;

import gov.nih.nlm.umls.meta.Concept;

/**
 * Manipulates data in the {@link Concept}, but does not remove any components
 * from the {@link Concept}.
 *
 * @author Deborah Shapiro
 *
 **/

public interface ConceptManipulator extends Filter {

  //
  // Methods
  //

  /**
   * Manipulates data in the {@link Concept}, but does not remove any data
   * from the concept.
   * @param concept {@link Concept}
   */
  public void applyChanges(Concept concept);


}

