/**************************************************************************
 *
 * Package:    gov.nih.nlm.mms.filters;
 * Interface:  ConceptSelector.java
 *
 *************************************************************************/
package gov.nih.nlm.mms.filters;

import gov.nih.nlm.umls.meta.Concept;

/**
 * Indicates if {@link Concept}s should be kept for the subset or removed from
 * the subset.  Looks at the {@link Concept} in its entirety.  Does not
 * remove or keep only selected elements from the {@link Concept}.
 *
 * @author Deborah Shapiro
 *
 **/

public interface ConceptSelector extends Filter {

  //
  // Methods
  //

  /**
   * Indicates if {@link Concept} should be selected to be kept for the
   * subset.
   * @param concept {@link Concept} to be evaluated for removal
   * @return <code>boolean</code> <code>true</code> if concept should be kept
   *          <code>false</code> otherwise
   */
  public boolean keep(Concept concept);

}

