/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   AtomCoocurrence.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents a coocurrence between two {@link Atom}s.
 * <p>
 * Following is a UML Class diagram showing the neighborhood around {@link AtomCoocurrence}
 * <p><center><img src="AtomCoocurrence.gif"></center>
 * <p>
 * All data in a row of the <code>MRCOC</code> file is represented here.
 * <p>
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface AtomCoocurrence extends AtomElement, RelatedAtomElement, Coocurrence {}