/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   ConceptElement.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents information about a data element connected to a {@link Concept}.
 *
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface ConceptElement {

  /**
   * Returns the {@link Concept} that holds this {@link ConceptElement}.
   * @return the {@link Concept} that holds this {@link ConceptElement}
   */
  public Concept getConcept();

  /**
   * Sets the {@link Concept} that holds this {@link ConceptElement}.
   * @param concept the {@link Concept} that holds this {@link ConceptElement}
   */
  public void setConcept(Concept concept);

}