/**************************************************************************
 *
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   ContentViewElement.java
 *
 * Change History:
 *   04/02/2003: First Version
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents an element that belongs to a content view.
 *
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface ContentViewElement {

  /**
   * Returns tbe {@link ContentView} definition for this {@link ConceptElement} (CVF).
   * @return tbe {@link ContentView} definition
   */
  public ContentView getContentView();

  /**
   * Sets tbe {@link ContentView} definition for this {@link ConceptElement} (CVF).
   * @param cvf the {@link ContentView} definition
   */
  public void setContentView(ContentView cvf);

  /**
   * Returns tbe {@link ContentView} definition for this {@link ConceptElement} (CVF).
   * This is shorthand for {@link #getContentView()}.
   * @return tbe {@link ContentView} definition
   */
  public ContentView getCvf();

  /**
   * Sets tbe {@link ContentView} definition for this {@link ConceptElement} (CVF).
   * This is shorthand for {@link #setContentView(ContentView)}.
   * @param cvf the {@link ContentView} definition
   */
  public void setCvf(ContentView cvf);

}