/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   RelatedConceptElement.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents information about a related concept {@link Concept}.
 *
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface RelatedConceptElement {

  /**
   * Returns the {@link Concept} to which this element is related.
   * @return the {@link Concept} to which this element is related
   */
  public Concept getRelatedConcept();

  /**
   * Sets the {@link Concept} to which this element is related.
   * @param related_concept the {@link Concept} to which this element is related
   */
  public void setRelatedConcept(Concept related_concept);

}