/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   RelatedSourceIdentifierElement.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents information about a data element connected to a
 * {@link SourceIdentifierType}.
 *
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface RelatedSourceIdentifierElement {

  /**
   * Returns the {@link SourceIdentifierType} to which this element is connected.
   * @return the {@link SourceIdentifierType} to which this element is connected
   */
  public SourceIdentifierType getRelatedSourceIdentifierType();

  /**
   * Sets the {@link SourceIdentifierType} to which this element is connected.
   * @param sit the {@link SourceIdentifierType} to which this element is connected.
   */
  public void setRelatedSourceIdentifierType(SourceIdentifierType sit);

}