/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   RelationshipAttribute.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents information about an attribute attached
 * to a {@link Relationship}.
 * <p>
 * Following is a UML Class diagram showing the neighborhood around {@link RelationshipAttribute}
 * <p><center><img src="RelationshipAttribute.gif"></center>
 * <p>
 * All data in a row of the <code>MRSAT</code> file where the UI starts
 * with an R is represented here.
 * <p>
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface RelationshipAttribute
  extends RelationshipElement, Attribute {
}