/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   RelationshipElement.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents information about a data element
 * with relationship identifiers.
 *
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface RelationshipElement {

  /**
   * Returns the {@link Relationship} to which this element is connected.
   * @return the {@link Relationship} to which this element is connected
   */
  public Relationship getRelationship();

  /**
   * Sets the {@link Relationship} to which this element is connected.
   * @param rel the {@link Relationship} to which this element is connected
   */
  public void setRelationship(Relationship rel);

}