/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   SourceIdentifierElement.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents information about a data element connected to a {@link SourceIdentifierType}.
 *
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface SourceIdentifierElement {

  /**
   * Returns the {@link SourceIdentifierType} to which this element is connected.
   * @return the {@link SourceIdentifierType} to which this element is connected
   */
  public SourceIdentifierType getSourceIdentifierType();

  /**
   * Sets the {@link SourceIdentifierType} to which this element is connected.
   * @param sit the {@link SourceIdentifierType} to which this element is connected.
   */
  public void setSourceIdentifierType(SourceIdentifierType sit);

}