/**************************************************************************
 * Package:	gov.nih.nlm.mms
 * Class:	LowercaseWordIndexEntry.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta.impl;

/**
 * Default implementation of the {@link LowercaseWordIndexEntryImpl} interface.
 *
 * @author Deborah Shapiro, Brian Carlsen
 */
public class LowercaseWordIndexEntryImpl extends IndexEntryImpl{

  //
  // Constructor
  //
  /**
   * Instantiates an empty {@link LowercaseWordIndexEntryImpl}.
   */
  public LowercaseWordIndexEntryImpl() {
    super();
  };

  /**
   * Instantiates a {@link LowercaseWordIndexEntryImpl} from the specified
   * {@link LowercaseWordIndexEntryImpl}.
   * @param lwie {@link LowercaseWordIndexEntryImpl} to be copied
   */
  public LowercaseWordIndexEntryImpl(LowercaseWordIndexEntryImpl lwie) {
    super(lwie);
    setLowercaseWord(lwie.getLowercaseWord());
  }

  //
  // Accessor Methods
  //

  /**
   * Returns the {@link String} that is being indexed.
   * @return the {@link String} that is being indexed
   */
  public String getLowercaseWord() {
    return super.getValue();
  }

  /**
   * Set the {@link String} being indexed
   * @param lc_word the {@link String} being indexed
   */
  public void setLowercaseWord(String lc_word) {
    super.setValue(lc_word);
  }

}

