/*****************************************************************************
 * Package: gov.nih.nlm.util
 * Object:  FinderHandler.java
 *
 ****************************************************************************/
package gov.nih.nlm.util;

import gov.nih.nlm.swing.FindDialog;

/**
 * Generically handles a find operation.
 *
 * @author Deborah Shapiro
 */
public interface FinderHandler {

  /**
   * Sets the {@link FindDialog} for the handler.
   * @param find_dialog {@link FindDialog}
   */
  public void setDialog(FindDialog find_dialog);

  /**
   * Executes the find operation.
   * @throws Exception
   */
  public void find() throws Exception;

  /**
   * Initializes the find operation.
   * @throws Exception
   */
  public void init() throws Exception;

  /**
   * Indicates that the find operation has been cancelled on the gui.
   */
  public void cancel();
  
  /**
   * Allows the handler to request focus.
   *
   */
  public void requestFocus();
  
}
