#!/bin/sh
cd MMSYS
JAVA_CMD=/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Commands/java

CLASSPATH=".:./lib/objects.jar:./lib/mms.jar"
for jar in `ls ext | grep '.jar'`
do
CLASSPATH=ext/${jar}:${CLASSPATH}
export CLASSPATH
done

for zip in `ls ext | grep '.zip'`
do
CLASSPATH=ext/${zip}:${CLASSPATH}
export CLASSPATH
done

echo "--------------------------------------------"
echo "Loading MRCXT Builder ..."
echo "    [Please be patient and wait for MRCXT Builder to begin]"
echo "--------------------------------------------"

if ! test -e $JAVA_CMD; then
    echo "Expected Java version (1.4.2) does not exist"
    echo "   attempting to use:  $JAVA_CMD"
    exit 1
fi

$JAVA_CMD -Xdock:name="MRCXT Builder" -Xms300M -Xmx800M -Dfile.encoding=UTF-8 gov.nih.nlm.mms.cxt.MRCXTBuilderGUI
